Debian Bug report logs - #598547
gnuplot: Gnuplot batch mode task stops when called from a backgrounded script.

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Terry Bullett <tbullett@skybeam.com>

Date: Thu, 30 Sep 2010 00:03:01 UTC

Severity: serious

Tags: fixed-upstream, patch

Found in version gnuplot/4.4.0-1

Fixed in version gnuplot/4.6.0-8

Done: Anton Gladky <gladky.anton@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3524062&group_id=2055&atid=102055

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tbullett@skybeam.com, Bradley Smith <bradsmith@debian.org>:
Bug#598547; Package gnuplot. (Thu, 30 Sep 2010 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Terry Bullett <tbullett@skybeam.com>:
New Bug report received and forwarded. Copy sent to tbullett@skybeam.com, Bradley Smith <bradsmith@debian.org>. (Thu, 30 Sep 2010 00:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Terry Bullett <tbullett@skybeam.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script.
Date: Wed, 29 Sep 2010 17:58:23 -0600
Package: gnuplot
Version: 4.4.0-1
Severity: important



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnuplot depends on:
ii  gnuplot-nox                   4.4.0-1    A command-line driven interactive 
ii  gnuplot-x11                   4.4.0-1    A command-line driven interactive 

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc                   <none>     (no description available)

-- no debconf information

I use gnuplot in bash scripts which create gnuplot command files and
then call gnuplot to make the files.  Version 4.4.0 will enter a state
of 'T' (stopped) when the parent bash script is running in the background.
Executution is normal when the parent script is in the foreground.
An update to 4.4.2 has resolved this problem, but this version is not in
the Debian squeeze package.




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#598547; Package gnuplot. (Fri, 26 Nov 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Fri, 26 Nov 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 598547@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 598547@bugs.debian.org
Subject: [gnuplot] So fixed upstream
Date: Fri, 26 Nov 2010 15:20:12 +0100
tag 598547 + fixed-upstream
thanks





Added tag(s) fixed-upstream. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Fri, 26 Nov 2010 14:21:13 GMT) Full text and rfc822 format available.

Reply sent to Agustin Martin <agmartin@debian.org>:
You have taken responsibility. (Mon, 26 Mar 2012 16:33:08 GMT) Full text and rfc822 format available.

Notification sent to Terry Bullett <tbullett@skybeam.com>:
Bug acknowledged by developer. (Mon, 26 Mar 2012 16:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 598547-done@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Terry Bullett <tbullett@skybeam.com>, 598547-done@bugs.debian.org
Subject: Re: Bug#598547: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script.
Date: Mon, 26 Mar 2012 18:29:25 +0200
Version: 4.6.0-1

On Wed, Sep 29, 2010 at 05:58:23PM -0600, Terry Bullett wrote:

> I use gnuplot in bash scripts which create gnuplot command files and
> then call gnuplot to make the files.  Version 4.4.0 will enter a state
> of 'T' (stopped) when the parent bash script is running in the background.
> Executution is normal when the parent script is in the foreground.
> An update to 4.4.2 has resolved this problem, but this version is not in
> the Debian squeeze package.

Hi Terry,

4.6.0-1 is already in sid, so this problem should now be fixed.

I am then closing this bug report, please reopen if needed. Thanks for your
feedback.

Regards,

-- 
Agustin




Bug reopened Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 19:42:06 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.6.0-1. Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 19:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Thu, 19 Apr 2012 19:48:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 19:48:22 GMT) Full text and rfc822 format available.

Message #26 received at 598547@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 598547@bugs.debian.org
Subject: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script
Date: Fri, 20 Apr 2012 05:09:46 +0930
Hi,

$ gnuplot sweep-plot.script &
[4] 17479
$ ps xau | grep gnuplot
ron      13484  0.0  0.2 318804 19300 pts/4    S    04:13   0:00 gnuplot
ron      14136  0.0  0.0 256540  6732 pts/4    S    04:16   0:00 gnuplot
ron      17479  0.0  0.0  77880  2112 pts/4    T    05:02   0:00 gnuplot sweep-plot.script
ron      17481  0.0  0.0   8028   844 pts/4    S+   05:02   0:00 grep gnuplot

[4]+  Stopped                 gnuplot sweep-plot.script


So this is either still not fixed in 4.6.0-1, or has been reintroduced again.

Cheers,
Ron






Severity set to 'serious' from 'important' Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 19:48:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Thu, 19 Apr 2012 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #33 received at 598547@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Ron <ron@debian.org>, 598547@bugs.debian.org
Subject: Re: Bug#598547: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script
Date: Thu, 19 Apr 2012 21:57:09 +0200
Hi Ron,

what is the reason of marking this bug as serious?

Thanks.

Anton




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Thu, 19 Apr 2012 20:23:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 20:24:00 GMT) Full text and rfc822 format available.

Message #38 received at 598547@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: 598547@bugs.debian.org
Subject: Re: Bug#598547: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script
Date: Fri, 20 Apr 2012 05:50:12 +0930
Hi Anton,

Thanks for the quick response :)

On Thu, Apr 19, 2012 at 09:57:09PM +0200, Anton Gladky wrote:
> Hi Ron,
> 
> what is the reason of marking this bug as serious?

You can take your pick of the RC severities, but I don't think we should
release with a bug that makes gnuplot useless from other scripts/applications
that might call it.  Especially not if it's a regression of a bug that was
already supposedly fixed upstream.

Do you happen to have a reference to the fix or the bug report there?
I couldn't find it in the Changelog, or in their tracker so far.


I actually stumbled on this while trying to debug another issue, namely that
gnuplot silently does nothing if called from another application.
eg. if you do:

  system("gnuplot foo.script");

then gnuplot runs, and does exit, but doesn't actually appear to execute the
script ...  I'm not sure yet if these two things are related (still digging
into that), but I can definitely reproduce the original symptom of this bug,
and there's something wacky going on when it's not run from the foreground
of a shell.

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Thu, 19 Apr 2012 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 21:45:09 GMT) Full text and rfc822 format available.

Message #43 received at 598547@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Anton Gladky <gladky.anton@gmail.com>, 598547@bugs.debian.org
Subject: Re: Bug#598547: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script
Date: Fri, 20 Apr 2012 07:08:39 +0930
Hi again :)

On Fri, Apr 20, 2012 at 05:50:12AM +0930, Ron wrote:
> On Thu, Apr 19, 2012 at 09:57:09PM +0200, Anton Gladky wrote:
> > Hi Ron,
> > 
> > what is the reason of marking this bug as serious?
> 
> You can take your pick of the RC severities, but I don't think we should
> release with a bug that makes gnuplot useless from other scripts/applications
> that might call it.  Especially not if it's a regression of a bug that was
> already supposedly fixed upstream.
> 
> Do you happen to have a reference to the fix or the bug report there?
> I couldn't find it in the Changelog, or in their tracker so far.



Ok, so before anybody else also goes on a wild goose chase over this
latter part:
 
> I actually stumbled on this while trying to debug another issue, namely that
> gnuplot silently does nothing if called from another application.
> eg. if you do:
> 
>   system("gnuplot foo.script");
> 
> then gnuplot runs, and does exit, but doesn't actually appear to execute the
> script ...  I'm not sure yet if these two things are related (still digging
> into that) ...

This bit isn't a bug in gnuplot, it was me being silly and just not flushing
the script properly before calling gnuplot on it (and then being confused by
the odd behaviour that ensued, and the original bug of this report).

So ignore this part.  But I can definitely reproduce the original bug.
I presume it shouldn't be too hard to fix (again), gnuplot really has no
reason to be reading from stdin when it's writing to a non-interactive
'terminal' such as one of the image formats.  It just needs someone who
knows the code well enough to know which of the bazillion places that it
tries to do that need to be disabled in non-interactive modes.

If there was a ready-made -dbg package I'd have possibly narrowed that
down and sent a patch, but since it's easy to reproduce, I'll leave that
to someone who has a debug build already available :)

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Mon, 07 May 2012 10:12:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 07 May 2012 10:12:36 GMT) Full text and rfc822 format available.

Message #48 received at 598547@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Ron <ron@debian.org>, 598547@bugs.debian.org
Subject: Re: Bug#598547: gnuplot: Gnuplot batch mode task stops when called from a backgrounded script
Date: Mon, 7 May 2012 12:10:13 +0200
forwarded 598547 http://sourceforge.net/tracker/?func=detail&aid=3524062&group_id=2055&atid=102055
tag       598547 fixed-upstream
tag       598547 +patch
thanks

On Fri, Apr 20, 2012 at 05:09:46AM +0930, Ron wrote:
> 
> Hi,
> 
> $ gnuplot sweep-plot.script &
> [4] 17479
> $ ps xau | grep gnuplot
> ron      13484  0.0  0.2 318804 19300 pts/4    S    04:13   0:00 gnuplot
> ron      14136  0.0  0.0 256540  6732 pts/4    S    04:16   0:00 gnuplot
> ron      17479  0.0  0.0  77880  2112 pts/4    T    05:02   0:00 gnuplot sweep-plot.script
> ron      17481  0.0  0.0   8028   844 pts/4    S+   05:02   0:00 grep gnuplot
> 
> [4]+  Stopped                 gnuplot sweep-plot.script
> 
> 
> So this is either still not fixed in 4.6.0-1, or has been reintroduced again.

Hi,

I forwarded this bug report to upstream bug tracker. Upstream reacted very
quickly noticing that this is caused by a bug in BSD libedit and committed a
workaround,

http://gnuplot.cvs.sourceforge.net/viewvc/gnuplot/gnuplot/src/plot.c?r1=1.138&r2=1.139

As a side note, upstream suggests us to give a try to improved gnuplot
internal readline (also suggests using GNU readline, not possible for us).

Regards,

-- 
Agustin




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3524062&group_id=2055&atid=102055'. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:12:48 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:12:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#598547; Package gnuplot. (Mon, 07 May 2012 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 07 May 2012 17:48:02 GMT) Full text and rfc822 format available.

Message #57 received at 598547@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 598547@bugs.debian.org,control@bugs.debian.org,598547-submitter@bugs.debian.org
Subject: [cfaa0f9] Fix for Bug#598547 committed to git
Date: Mon, 07 May 2012 17:44:56 +0000
tags 598547 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Anton Gladky <gladky.anton@gmail.com> on Mon, 7 May 2012 19:40:22 +0200.
 The fix will be in the next upload. 
====================================
Fix stop in batch mode. (Closes: #598547)


====================================

You can check the diff of the fix at:

    ;a=commitdiff;h=cfaa0f9






Added tag(s) pending. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Mon, 07 May 2012 17:48:07 GMT) Full text and rfc822 format available.

Message sent on to Terry Bullett <tbullett@skybeam.com>:
Bug#598547. (Mon, 07 May 2012 17:48:09 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladky.anton@gmail.com>:
You have taken responsibility. (Tue, 08 May 2012 18:36:11 GMT) Full text and rfc822 format available.

Notification sent to Terry Bullett <tbullett@skybeam.com>:
Bug acknowledged by developer. (Tue, 08 May 2012 18:36:11 GMT) Full text and rfc822 format available.

Message #67 received at 598547-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 598547-close@bugs.debian.org
Subject: Bug#598547: fixed in gnuplot 4.6.0-8
Date: Tue, 08 May 2012 18:33:25 +0000
Source: gnuplot
Source-Version: 4.6.0-8

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.6.0-8_all.deb
  to main/g/gnuplot/gnuplot-doc_4.6.0-8_all.deb
gnuplot-nox_4.6.0-8_amd64.deb
  to main/g/gnuplot/gnuplot-nox_4.6.0-8_amd64.deb
gnuplot-qt_4.6.0-8_amd64.deb
  to main/g/gnuplot/gnuplot-qt_4.6.0-8_amd64.deb
gnuplot-x11_4.6.0-8_amd64.deb
  to main/g/gnuplot/gnuplot-x11_4.6.0-8_amd64.deb
gnuplot_4.6.0-8.debian.tar.gz
  to main/g/gnuplot/gnuplot_4.6.0-8.debian.tar.gz
gnuplot_4.6.0-8.dsc
  to main/g/gnuplot/gnuplot_4.6.0-8.dsc
gnuplot_4.6.0-8_all.deb
  to main/g/gnuplot/gnuplot_4.6.0-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598547@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladky.anton@gmail.com> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 May 2012 19:22:44 +0200
Source: gnuplot
Binary: gnuplot gnuplot-nox gnuplot-x11 gnuplot-qt gnuplot-doc
Architecture: source all amd64
Version: 4.6.0-8
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladky.anton@gmail.com>
Description: 
 gnuplot    - Command-line driven interactive plotting program
 gnuplot-doc - Command-line driven interactive plotting program. Doc-package
 gnuplot-nox - Command-line driven interactive plotting program. No-X package
 gnuplot-qt - Command-line driven interactive plotting program. QT-package
 gnuplot-x11 - Command-line driven interactive plotting program. X-package
Closes: 598547 668339 671876
Changes: 
 gnuplot (4.6.0-8) unstable; urgency=low
 .
   * [cfaa0f9] Fix stop in batch mode. (Closes: #598547)
   * [514f243] Add "Provides: gnuplot-nox" to gnuplot-x11 and gnuplot-qt.
               (Closes: #671876)
   * [86f5340] Add "Provides: gnuplot-x11" to gnuplot-qt.
   * [dd6645e] Fix cairolatex driver with monochrome keyword. (Closes: #668339)
Checksums-Sha1: 
 4a2c2be6788942c3ca2bf7b4f5381595be6b0dc7 2445 gnuplot_4.6.0-8.dsc
 0f94376404442ea708de59fc2ae8657f1b3702bd 29284 gnuplot_4.6.0-8.debian.tar.gz
 03226d713eadb884ac1f0570cd8cde1680fd2381 73912 gnuplot_4.6.0-8_all.deb
 dbd69d36541e12958b873023acacdaed26ada21f 979770 gnuplot-nox_4.6.0-8_amd64.deb
 666dd82f0543c2be7aaba73ed08a0479ea111d9c 1118870 gnuplot-x11_4.6.0-8_amd64.deb
 29eb6119f6b6511da79982226b1fd3e1a1af5aaf 1207956 gnuplot-qt_4.6.0-8_amd64.deb
 423f5f97d4ca79828ea94e2ef3bdda2a1dc2df6b 2907856 gnuplot-doc_4.6.0-8_all.deb
Checksums-Sha256: 
 c77b5721de641d55706ffad729a4765a5ebdf9ee890079662409cd25e2c949d4 2445 gnuplot_4.6.0-8.dsc
 1f8e393dc02987384ea33c9004bef87cfc3b2fb1d2729f3d5768de1817333210 29284 gnuplot_4.6.0-8.debian.tar.gz
 eeaf0f54003c721bf29a3a24cf1bc443a1f084417b780c18a94975ce683faa7c 73912 gnuplot_4.6.0-8_all.deb
 e0abd4f3f3b9c7fe384fecd0014b08c9228242085b4a158eb175a88009175d6e 979770 gnuplot-nox_4.6.0-8_amd64.deb
 d7697b1b1b3f1c1faa76d1c82427d0261924eea3286a0afc65c6bff8e3b4d0bf 1118870 gnuplot-x11_4.6.0-8_amd64.deb
 1fd0390622f6a7c401c232d130276dc4745f8af317d213e75fa37e80b40f37ed 1207956 gnuplot-qt_4.6.0-8_amd64.deb
 10107d242226eed5401de0174244e1f2505aef264f58a4df2d4b4de6f16d44fe 2907856 gnuplot-doc_4.6.0-8_all.deb
Files: 
 7115ad83bbcfd219e18a696c2b75172b 2445 math optional gnuplot_4.6.0-8.dsc
 3a26ec28ac6870f8e352c37bc5f0fd7d 29284 math optional gnuplot_4.6.0-8.debian.tar.gz
 46c84eb1ef7da428a151d7ed0c988c82 73912 math optional gnuplot_4.6.0-8_all.deb
 b08beb8b1fbfa6dcd42fb663eed68ce3 979770 math optional gnuplot-nox_4.6.0-8_amd64.deb
 abd11b9e6d7c6f98a920c44d524bc53f 1118870 math optional gnuplot-x11_4.6.0-8_amd64.deb
 d0f0ee8a5fec8cccd7587899327475b1 1207956 math optional gnuplot-qt_4.6.0-8_amd64.deb
 21df594fef44cabd43779f65aab9908f 2907856 doc optional gnuplot-doc_4.6.0-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPqWU2AAoJENPhc4PPp/8GsJkP/jkhA5DdNcnh6QnhHxtK1eWb
4Br6/ElLmUgvCyde4rFGdF3XyW0mh/JK38mCQfUz5PqG7JKLZyCSGwEz8hrTynNq
Hy+n4n18YUhI7ExaC+YlPc1DBpeRI/z2hW5g6xz5ou5O7o9frKstmw9vOc5eEvl6
SI0y5Lm3xEtjJrWCGCJaG/8RNNeaglKrzBwH2jwIMo/3c+10ZxY0OUN4oddclvm9
AJbjCPdblbEYcX7W01fInoTG/D8HWDtcmphSWT2PYDjN+cpoati5SV3WCIb7ZFr9
A5G0iyOehiW1khj67iHm4ljWgHgIqbnoHG7onj8L+UR/zmMDeQAScVmBxz83xpqM
/RMTG7MRviEiZTP67wKOfUW0BTE9PANn/m/FU7adjlgPHV7sBYiEBcmZx/kMRQm4
xrPYBuFv6Tfwb4nuYJG5JgGAPcv664rddQfN9l0NQ81VzYCvbUDOC0l5tXP03HVs
YeAlNiBPKmtjV4WeVgDBtjrM0yVoafvUlxD/1Lhu/TOWn0IfdZMPzUE4hGYGywEn
drdYwQJryitfqrDICyTtFVB5VuDKBMUgya9cnLjiXFG3U8KTmv6rXGWOpqOwXXM7
+XinUausvXhb+JDb1nhbW/O8kzASiJzFzZ+wJ9TMHbeERrPplF7do+tWI/5y5Myb
3nLq8kjoRFVKzYfPs4yd
=QFH0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:57:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:26:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.